package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.DeviceDto;
import com.zcxk.entity.DeviceEntity;

import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2020-11-16 11:26
 */
public interface DeviceService {

    /**
     * 查询单个设备
     * @return
     */
    DeviceDto selectById(Long id);
    /**
     * 添加设备
     * @return
     */
    Integer add(DeviceEntity deviceEntity);

    /**
     * 单条删除设备
     * @return
     */
    Integer delete(Long id);

    /**
     * 批量删除设备
     * @return
     */
    Integer batchDelete(List<Long> ids);

    /**
     * 修改设备信息
     * @return
     */
    Integer update(DeviceEntity deviceEntity);

    /**
     * 分页查询
     * @return
     */
    IPage<DeviceDto> selectPage(IPage<DeviceDto> page, DeviceDto deviceDto);

    List<DeviceDto> selectList(DeviceDto deviceDto);

    List<DeviceDto> selectListForReport(DeviceDto deviceDto);

    List<DeviceDto> selectListByType(DeviceDto deviceDto);

    List<DeviceDto> selectListByScene(DeviceDto deviceDto);
    List<DeviceDto> selectListBySceneId(DeviceDto deviceDto);

}
